#
# Author:: Steve Craig <support@smashrun.com>
# Cookbook Name:: twitter
# Attributes:: default
#
# Copyright 2012, Smashrun, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default[:twitter][:author_name] = "Steve Craig"
default[:twitter][:author_email] = "support@smashrun.com"
default[:twitter][:version] = ['1.1.2']
default[:twitter][:gem] = ['twitter']

case platform
  when "windows"
    default[:twitter][:tempdir] = "c:\\chef\\tmp"
    default[:twitter][:databag_secret] = "C:\\Chef\\encrypted_data_bag_secret"
  when "redhat","centos","fedora","suse","debian","ubuntu","arch"
    default[:twitter][:tempdir] = "/tmp/chef"
    default[:twitter][:databag_secret] = "/etc/chef/encrypted_data_bag_secret"
end

# the name of your encrypted data bag
default[:twitter][:databag] = ['tweeter']

# the name of your twitter application account inside the twitter encrypted data bag
default[:twitter][:user] = ['sm_devtwit']

# tweet here by default
default[:twitter][:admin] = ['@smashrunhq', '#smashrun']
